Groovy 1.7.10

## groovy.util.slurpersupport
[Java] Class NodeIterator

    java.lang.Object
      groovy.util.slurpersupport.NodeIterator

All Implemented Interfaces:
  Iterator

    public abstract class NodeIterator
    extends Object

Helper class for iterating through nodes.

Authors:
  John Wilson

Constructor Summary
`NodeIterator(Iterator iter)`

Method Summary
`protected Object` | `getNextNode(Iterator iter)`
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### NodeIterator

    public NodeIterator(Iterator iter)

Method Detail

### getNextNode

    protected Object getNextNode(Iterator iter)

### hasNext

    public boolean hasNext()

### next

    public Object next()

### remove

    public void remove()

Copyright © 2003-2010 The Codehaus. All rights reserved.